<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     local_differentiator
 * @category    string
 * @copyright   2019 Luca Bösch <luca.boesch@bfh.ch>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'Differentiator';

// Required strings.
$string['modulename'] = 'Differentiator';
$string['modulenameplural'] = 'Differentiators';
$string['modulename_help'] = 'Differentiator';
$string['pluginadministration'] = 'Differentiator Administration';
$string['pluginname'] = 'Differentiator';

// Capabilities.
$string['differentiator:edit'] = 'Edit Differentiator';
$string['differentiator:view'] = 'View Differentiator';

// Vue component route not found.
$string['route_not_found'] = 'Error: Page (route) not found!';

// Vue component learning goal edit.
$string['learninggoals_edit_site_name'] = 'Differentiator learning goals';
$string['learninggoals_edit_site_description'] = 'You may add a new goal or edit existing goals.';
$string['learninggoals_edit_no_learninggoals'] = 'There are no goals to show.';

// Learning goals overview.
$string['edit'] = 'Edit';
$string['delete'] = 'Delete';
$string['deletepromptpre'] = 'Do you really want to delete the learning goal "';
$string['deletepromptpost'] = '"?';
$string['btnconfirmdelete'] = 'Confirm delete';
$string['duplicate'] = 'Duplicate';
$string['toclipboard'] = 'Copy to clipboard';
$string['goalnameplaceholder'] = 'Learning goal name';
$string['toclipboarddone'] = 'Copied to clipboard';
$string['subject'] = 'Subject';


// Learning goal form.
$string['learninggoal'] = 'Goal';
$string['learninggoal_name'] = 'Goal name';
$string['learninggoal_description'] = 'Goal description';
$string['learninggoal_form_title_add'] = 'Add a new goal';
$string['learninggoal_form_title_edit'] = 'Edit a goal';
$string['save'] = 'Save';
$string['cancel'] = 'Cancel';

// Tabs.
$string['thinkingskill'] = 'Thinking Skill';
$string['content'] = 'Content';
$string['resources'] = 'Resources';
$string['products'] = 'Products';
$string['groups'] = 'Groups';

// Words.
$string['prethinkingskill'] = 'Students will';
$string['clicktoedit'] = '[click to edit]';
$string['preresource'] = 'using';
$string['preproduct'] = 'and create';
$string['pregroup'] = 'in groups of';

